commit:     a441511bc3a71801fcd64a7ed44b582e87fe4f5f
Author:     Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu May  3 20:07:04 2018 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu May  3 20:07:04 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a441511b

games-action/bzflag: Version bump to 2.4.14

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 games-action/bzflag/Manifest             |  1 +
 games-action/bzflag/bzflag-2.4.14.ebuild | 62 ++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/games-action/bzflag/Manifest b/games-action/bzflag/Manifest
index f0831f9e1bc..249bdc19986 100644
--- a/games-action/bzflag/Manifest
+++ b/games-action/bzflag/Manifest
@@ -1 +1,2 @@
 DIST bzflag-2.4.12.tar.bz2 14042357 BLAKE2B 
eb18072f459549b18bf99fbe0b635aea24568ad39494082f443e8eb7a604db0341aa18f1d458a950b5344f34278599215b351bcad35bd88f33f01449b89489b8
 SHA512 
9b5fa6b7ab7eb13043242defcc86cbed083e98306b2f611932b48d6d833a37bbe2ab05a0a3d1a2c9b861bfbd834fc6e86783ba82d8a841527d0eedb06f3bde9f
+DIST bzflag-2.4.14.tar.bz2 14066129 BLAKE2B 
7ec44bc9b7ccb644b98dac0b99770471b488b9e34b12a34e4fa76cdc22a4e7b14324915b83db76a69bb4b8ebd928018e69145aa6b87e48a379d37c23ce84c575
 SHA512 
c092a869813bd300e5eff5bf17ea46708b566a9e4f56cb6c4ccd92346ab1e87c8837efb8295d3b4485cd8d4de5b0d92b079c70390d06a481cfee693d393aca21

diff --git a/games-action/bzflag/bzflag-2.4.14.ebuild 
b/games-action/bzflag/bzflag-2.4.14.ebuild
new file mode 100644
index 00000000000..cf647d42a26
--- /dev/null
+++ b/games-action/bzflag/bzflag-2.4.14.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic autotools
+
+DESCRIPTION="3D tank combat simulator game"
+HOMEPAGE="https://www.bzflag.org/";
+SRC_URI="https://download.bzflag.org/bzflag/source/${PV}/${P}.tar.bz2";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dedicated upnp"
+
+DEPEND="
+       net-dns/c-ares
+       >=net-misc/curl-7.15.0
+       sys-libs/ncurses:0
+       sys-libs/zlib
+       !dedicated? (
+               media-libs/libsdl2[joystick,sound,video]
+               virtual/glu
+               virtual/opengl )
+       upnp? ( net-libs/miniupnpc )"
+RDEPEND=${DEPEND}
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.4.12-configure.patch
+       "${FILESDIR}"/${PN}-2.4.12-tinfo.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myconf
+
+       if use dedicated ; then
+               ewarn
+               ewarn "You are building a server-only copy of BZFlag"
+               ewarn
+               myconf="--disable-client --without-SDL"
+       fi
+
+       econf \
+               $(use_enable upnp UPnP) \
+               ${myconf}
+}
+
+src_install() {
+       DOCS="AUTHORS ChangeLog DEVINFO PORTING README README.Linux" \
+               default
+
+       if ! use dedicated ; then
+               newicon data/bzflag-48x48.png ${PN}.png
+               make_desktop_entry ${PN} "BZFlag"
+       fi
+
+       prune_libtool_files --modules
+}

Reply via email to